Subject: draft-ietf-6man-rfc6434-bis-01

From: Tim Chown <[email-masked]>
Date: Fri, 7 Jul 2017 10:40:41 +0000

Hi,

We’ve published an update to the RFC6434bis draft, see https://tools.ietf.org/html/draft-ietf-6man-rfc6434-bis-01

We have a slot in Prague to discuss the draft. To help seed discussion below are lists of the main outcomes as a result of IETF98, changes in the new -01 version, and open issues.

Outcomes from IETF98:
- Made MLDv2 (and SSM) a MUST, saying nothing about MLDv1
- RFC 8106 is a MUST for clients (to ensure at least one method supported for DNS configuration)
- Mobility text added back
- Added text on RFC7844 for DHCP anonymity profiles (no mention of configurability)
- Kept RFC 1981 as a SHOULD; retained informal PLPMTUD (RFC4821) reference
- DHCP-PD was not included

New changes in -01 version:
- Reorganised various sections, including addressing and other configuration
- Some text on constrained devices added
- Added text on YANG/NETCONF
- Various ID nits fixed
- mDNS/DNS-SD text added
- Added RFC8028 guidance as a SHOULD if device may be multihomed
- ECN RFC3168 added as a SHOULD (noting draft-ietf-tsvwg-ecn-experimentation-03 and nonce use)

Open issues:
- Add text on IPv6 EH processing by receivers
- Add text on dangers of blindly using 1280 MTU
- Cite draft-ietf-v6ops-unique-ipv6-prefix-per-host-01? (in Section 6.2, with RFC7934)
- Make router redirect host processing a MUST? (RFC4861 says SHOULD in section 8.3)
- Keep Jumbogram text as is?
- Review DHCP vs RA options text (section 8.4)

There are many bits of text we can only update when the RFC2460, 1981 and 4291 updates are published.

Tim